AsterNet Class Library (Sandcastle documentation)

| SocketConnection Close Method

Closes the socket connection including its input and output stream and frees all associated ressources.
When calling close() any Thread currently blocked by a call to readLine() will be unblocked and receive an IOException.

Namespace: AsterNET.IO
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public void Close()

    Public Sub Close

    public:
    void Close()

    member Close : unit -> unit

See Also

#### Reference

SocketConnection Class
AsterNET.IO Namespace